/**
 * Musterprojekt Softwaretechnik
 * Copyright (c) 2015 by Institut für SoftwareArchitektur, TH Mittelhessen.
 * Lizenz Creative Commons CC BY-NC-SA 3.0
 */
package usg.lernkarten.data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 *  Entity that represents an answer.
 */
public class Answer implements Serializable {

    private Integer id;
    private String answer;
    private Boolean answerCorrect;
    private Flashcard flashcard;

    private List<Picture> pictures;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Flashcard getFlashcard() {
        return flashcard;
    }

    public void setFlashcard(Flashcard flashcard) {
        this.flashcard = flashcard;
    }

    public Boolean getAnswerCorrect() {
        if (answerCorrect == null) {
            answerCorrect = false;
        }
        return answerCorrect;
    }

    public void setAnswerCorrect(Boolean answerCorrect) {
        this.answerCorrect = answerCorrect;
    }

    public List<Picture> getPictures() {
        if (pictures == null) {
            pictures = new ArrayList<>();
        }
        return pictures;
    }

    public void setPictures(List<Picture> pictures) {
        this.pictures = pictures;
    }

    public void addPicture(Picture picture) {
        if (pictures == null) {
            pictures = new ArrayList<>();
        }

        pictures.add(picture);
    }

    @Override
    //this method has been generated by Android Studio
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Answer answer1 = (Answer) o;

        if (id != null ? !id.equals(answer1.id) : answer1.id != null) return false;
        if (answer != null ? !answer.equals(answer1.answer) : answer1.answer != null) return false;
        if (answerCorrect != null ? !answerCorrect.equals(answer1.answerCorrect) : answer1.answerCorrect != null)
            return false;
        if (flashcard != null ? !flashcard.equals(answer1.flashcard) : answer1.flashcard != null)
            return false;
        return !(pictures != null ? !pictures.equals(answer1.pictures) : answer1.pictures != null);

    }

    @Override
    //this method has been generated by Android Studio
    public int hashCode() {
        return id != null ? id.hashCode() : 0;
    }
}
